Merge Contacts
/unified/crm/contacts/merge
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The duplicate contact records to merge into the master contact. Zoho supports up to two duplicate records.
5 supported5 required
The fields from this duplicate contact whose values should be used in the merged record.
2 properties
The unified field name from the fields API to include in the merge.
Optional file or image identifiers to retain for this field.
1 property
The unique identifier of the file or image to retain for this field.
The unique identifier of the duplicate contact to merge.
The contact record to keep after the merge.
5 supported5 required
The unique identifier of the contact to keep after the merge.
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
Response Body
The contact's unique identifier
4 supported
The contact's account
2 supported
The account's unique identifier
The account's name
1 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the contact's creation
2 supported
All the custom fields present on the contact
2 supported
2 supported
The email address
The unique identifier of the email addresses
The email address type
The unique identifier for the specific version of the resource.
The contact's first name
2 supported
The date and time of the contact's last activity
1 supported
The contact's last name
2 supported
The contact's full name
2 supported
The account's owner
1 supported
The owner's unique identifier
2 supported
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The contact's tags
1 supported
The tag's unique identifier
The tag's name
The contact's job title
1 supported
The date and time of the contact's last update
2 supported
The contact's urls
1 supported
The contact's URL type
The contact's URL
curl -X POST 'https://api.truto.one/unified/crm/contacts/merge?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"master_record": {},
"duplicate_records": [],
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"master_record": {},
"duplicate_records": [],
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/contacts/merge?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/contacts/merge"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"master_record": {},
"duplicate_records": [],
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
// Custom method: merge
const result = await truto.unifiedApi.merge(
'crm',
'contacts',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
# Custom method: merge
result = await truto_api.unified_api.merge(
"crm",
"contacts",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())